<?php

namespace FM\Controller;

use Zeedhi\Framework\DTO;
use Zeedhi\Framework\DTO\Request;
use Zeedhi\Framework\DTO\Response;
use Zeedhi\Framework\DataSource\DataSet;
use FM\Service\ImpactoManutService;
use FM\Traits\TResponse;

class ImpactoManutController
{
    use TResponse;
    protected $ImpactoManutService;

    public function __construct(ImpactoManutService $ImpactoManutService)
    {
        $this->ImpactoManutService = $ImpactoManutService;
    }

    public function rotaBase(DTO\Request $request, DTO\Response $response)
    {
        $method = $request->getMethod();
        $parametros = $request->getParameters();
        $impacto = '';

        if ($method == "POST") {
            $impacto = $this->ImpactoManutService->inserirImpacto($parametros);
        } else if ($method == "GET") {
            $impacto = $this->ImpactoManutService->getInformacoesImpacto();
        }

        $dtsVal = new DataSet('impacto', [$impacto]);
        $response->addDataSet($dtsVal);
    }

    public function getImpactoManutencao(Request $request)
    {
        try {
            $data = $this->ImpactoManutService->getImpactoManutencao();
            $this->sendResponse($data, 200);
        } catch (\Exception $ex) {
            $this->sendResponse(['error' => $ex->getMessage(), 'code' => $ex->getCode()], 500);
        }
    }
}
